# Uses of Interface
org.eclipse.birt.chart.model.component.Axis

Packages that use Axis
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Axis in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Axis
Modifier and Type
Method
Description
`Axis`
OneAxis.`getModelAxis()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type Axis
Modifier and Type
Method
Description
`static final int`
PlotWithAxes.`getAxisType(Axis ax)`
Converts to internal (non public-model) data structures
`int`
StackedSeriesLookup.`getSeriesCount(Axis ax)`
`List<StackGroup>`
StackedSeriesLookup.`getStackGroups(Axis ax)`

## Uses of Axis in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Axis
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createAxis(Axis ax)`
Creates a Structure Source for type Axis.
`static StructureSource`
WrappedStructureSource.`createAxisLabel(Axis ax, Label lb)`
Creates a WrappedStructure Source for type Axis Label with an Axis parent.
`static StructureSource`
WrappedStructureSource.`createAxisTitle(Axis ax, Label title)`
Creates a WrappedStructure Source for type Axis Title with an Axis parent.

## Uses of Axis in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Axis
Modifier and Type
Method
Description
`Axis`
ChartWithAxes.`getAncillaryBaseAxis(Axis axBase)`
This method returns the ancillary base axis for a given base axis NOTE: Manually written
`Axis[]`
ChartWithAxes.`getBaseAxes()`
This method returns all base axes associated with the chart model NOTE: Manually written
`Axis[]`
ChartWithAxes.`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`Axis[]`
ChartWithAxes.`getPrimaryBaseAxes()`
This method returns all primary base axes associated with the chart model NOTE: Manually written
`Axis`
ChartWithAxes.`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written
Methods in org.eclipse.birt.chart.model that return types with arguments of type Axis
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Axis>`
ChartWithAxes.`getAxes()`
Returns the value of the 'Axes' containment reference list.
Methods in org.eclipse.birt.chart.model with parameters of type Axis
Modifier and Type
Method
Description
`Axis`
ChartWithAxes.`getAncillaryBaseAxis(Axis axBase)`
This method returns the ancillary base axis for a given base axis NOTE: Manually written
`Axis[]`
ChartWithAxes.`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`Axis`
ChartWithAxes.`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written

## Uses of Axis in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Axis
Modifier and Type
Method
Description
`Axis`
Axis.`copyInstance()`
`Axis`
ComponentFactory.`createAxis()`
Returns a new object of class 'Axis'.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type Axis
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Axis>`
Axis.`getAncillaryAxes()`
Returns the value of the 'Ancillary Axes' containment reference list.
`org.eclipse.emf.common.util.EList<Axis>`
Axis.`getAssociatedAxes()`
Returns the value of the 'Associated Axes' containment reference list.

## Uses of Axis in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Axis
Modifier and Type
Class
Description
`class`
`AxisImpl`
An implementation of the model object ' Axis'.
Methods in org.eclipse.birt.chart.model.component.impl that return Axis
Modifier and Type
Method
Description
`Axis`
AxisImpl.`copyInstance()`
`static final Axis`
AxisImpl.`create(int iAxisType)`
A convenience method to create an initialized 'Axis' instance
`Axis`
ComponentFactoryImpl.`createAxis()`
`static final Axis`
AxisImpl.`createDefault(int iAxisType)`
A convenience method to create an initialized 'Axis' instance
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type Axis
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Axis>`
AxisImpl.`getAncillaryAxes()`
`org.eclipse.emf.common.util.EList<Axis>`
AxisImpl.`getAssociatedAxes()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Axis
Modifier and Type
Method
Description
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerLine`
MarkerLineImpl.`create(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerLine`
MarkerLineImpl.`createDefault(Axis ax, DataElement de, ColorDefinition lineColor)`
A convenience method provided to add a marker line instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`createDefault(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis

## Uses of Axis in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Axis
Modifier and Type
Method
Description
`Axis`
ChartWithAxesImpl.`getAncillaryBaseAxis(Axis axBase)`
`final Axis[]`
ChartWithAxesImpl.`getBaseAxes()`
This method returns all base axes associated with the chart model NOTE: Manually written
`final Axis[]`
ChartWithAxesImpl.`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`final Axis[]`
ChartWithAxesImpl.`getPrimaryBaseAxes()`
This method returns all primary base axes associated with the chart model NOTE: Manually written
`final Axis`
ChartWithAxesImpl.`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written
Methods in org.eclipse.birt.chart.model.impl that return types with arguments of type Axis
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Axis>`
ChartWithAxesImpl.`getAxes()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type Axis
Modifier and Type
Method
Description
`Axis`
ChartWithAxesImpl.`getAncillaryBaseAxis(Axis axBase)`
`final Axis[]`
ChartWithAxesImpl.`getOrthogonalAxes(Axis axBase, boolean bIncludePrimary)`
This method returns all (primary and overlay) orthogonal axes for a given base axis If the primary orthogonal is requested for, it would be returned as the first element in the array NOTE: Manually written
`final Axis`
ChartWithAxesImpl.`getPrimaryOrthogonalAxis(Axis axBase)`
This method returns the primary orthogonal axis for a given base axis NOTE: Manually written

## Uses of Axis in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Axis
Modifier and Type
Method
Description
`final Axis`
AxesRenderer.`getAxis()`
Gets current model Axis
Methods in org.eclipse.birt.chart.render with parameters of type Axis
Modifier and Type
Method
Description
`void`
AxesRenderer.`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`

## Uses of Axis in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Axis
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering each label on a given Axis.
`void`
ChartEventHandlerAdapter.`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called after rendering the Title of an Axis.
`void`
ChartEventHandlerAdapter.`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called after drawing each marker line in an Axis.
`void`
ChartEventHandlerAdapter.`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called after drawing each marker range in an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawAxisLabel(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering each label on a given Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawAxisTitle(Axis axis, Label label, IChartScriptContext icsc)`
Called before rendering the Title of an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarkerLine(Axis axis, MarkerLine mLine, IChartScriptContext icsc)`
Called before drawing each marker line in an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called before drawing each marker range in an Axis.